<?php
/**
* Related Posts Functions.
*
* @package Cobber
*/
if( !function_exists('cobber_related_posts') ):

	// Single Posts Related Posts.
	function cobber_related_posts(){

        $cobber_default = cobber_get_default_theme_options();
        $current_id = '';
        $article_wrap_class = '';
        global $post;
        $current_id = $post->ID;

		$cats = get_the_category( $post->ID );
		$category = array();
        if( $cats ){
            foreach( $cats as $cat ){
                $category[] = absint( $cat->term_id ); 
            }
        }

        $related_posts_query = new WP_Query( array( 'post_type' => 'post', 'posts_per_page' => 6, 'post__not_in' => array( absint( $post->ID ) ), 'category__in' => $category ) );
		$cobber_related_post = get_theme_mod( 'cobber_related_post',$cobber_default['cobber_related_post'] );

		if( $cobber_related_post && $related_posts_query->have_posts() ): ?>

			<div class="theme-block related-posts-area">

	        	<?php $cobber_related_section_title = get_theme_mod( 'cobber_related_section_title',$cobber_default['cobber_related_section_title'] );
	        	if( $cobber_related_section_title ){ ?>

		            <div class="theme-block-headline">
	                    <h2 class="theme-block-title entry-title-big">
	                        <?php echo esc_html( $cobber_related_section_title ); ?>
	                    </h2>
		            </div>
                    
		        <?php } ?>

	            <div class="related-posts">

                    <?php while( $related_posts_query->have_posts() ):
                        $related_posts_query->the_post();

                        $featured_image = wp_get_attachment_image_src( get_post_thumbnail_id(),'medium' );
                        $featured_image = isset( $featured_image[0] ) ? $featured_image[0] : ''; ?>

                        <div class="related-post-item">
                            <div class="theme-row">
                                <div class="column column-4 column-xs-12">
                                    <div class="post-thumbnail">
                                        <div class="post-thumbnail-effects">
                                            <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>">
                                                <span class="data-bg data-bg-small" data-background="<?php echo esc_url($featured_image); ?>"></span>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                                <div class="column column-8 column-xs-12">
                                    <div class="post-content">

                                        <header class="entry-header">
                                            <h3 class="entry-title entry-title-medium">
                                                <a href="<?php the_permalink(); ?>" rel="bookmark">
                                                    <?php the_title(); ?>
                                                </a>
                                            </h3>
                                        </header>

                                        <div class="entry-excerpt entry-excerpt-muted">
                                            <?php
                                            if (has_excerpt()) {
                                                the_excerpt();
                                            } else {
                                                echo esc_html(wp_trim_words(get_the_content(), 25, '...'));
                                            } ?>
                                        </div>

                                        <div class="entry-meta">
                                            <?php
                                            cobber_posted_by();
                                            ?>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>

                    <?php endwhile; ?>

	            </div>

			</div>

		<?php
		wp_reset_postdata();
		endif;

	}

endif;
add_action( 'cobber_navigation_action','cobber_related_posts',20 );