<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Cobber
 * @since 1.0.0
 */
$cobber_ed_post_views = get_post_meta(get_the_ID(), 'cobber_ed_post_views', true);
$cobber_ed_post_read_time = get_post_meta(get_the_ID(), 'cobber_ed_post_read_time', true);
$cobber_ed_post_like_dislike = get_post_meta(get_the_ID(), 'cobber_ed_post_like_dislike', true);
$cobber_ed_post_author_box = get_post_meta(get_the_ID(), 'cobber_ed_post_author_box', true);
$cobber_ed_post_social_share = get_post_meta(get_the_ID(), 'cobber_ed_post_social_share', true);
$cobber_ed_post_reaction = get_post_meta(get_the_ID(), 'cobber_ed_post_reaction', true);


cobber_disable_post_views();
cobber_disable_post_like_dislike();

if( $cobber_ed_post_read_time ) {

    cobber_disable_post_read_time();

}

if ($cobber_ed_post_author_box) {
    cobber_disable_post_author_box();
}

if ($cobber_ed_post_reaction) {
    cobber_disable_post_reaction();
} ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <?php
    if( is_singular() ){ ?>

        <header class="entry-header">

            <?php
            if ('post' === get_post_type()) { ?>

                <div class="entry-meta">

                    <?php cobber_entry_footer($cats = true, $tags = false, $edits = false, $text = false, $icon = false); ?>

                </div>

            <?php } ?>

            <h1 class="entry-title entry-title-large">

                <?php the_title(); ?>
                
            </h1>

        </header>

    <?php }

    if( is_single() && 'post' === get_post_type() ){ ?>

        <div class="entry-meta">
            
            <?php
            cobber_posted_by();
            if( !$cobber_ed_post_views ){
                cobber_post_view_count();
            }
            ?>

        </div>

    <?php } ?>

    <div class="post-content-wrap">

        <?php if (is_singular() && empty($cobber_ed_post_social_share) && class_exists('Booster_Extension_Class') && 'post' === get_post_type()) { ?>

            <div class="post-content-share">
                <?php echo do_shortcode('[booster-extension-ss layout="layout-1" status="enable"]'); ?>
            </div>

        <?php } ?>

        <div class="post-content">

            <div class="entry-content">

                <?php
                the_content(sprintf(
                /* translators: %s: Name of current post. */
                    wp_kses(__('Continue reading %s <span class="meta-nav">&rarr;</span>', 'cobber'), array('span' => array('class' => array()))),
                    the_title('<span class="screen-reader-text">"', '"</span>', false)
                ));

                if( !class_exists('Booster_Extension_Class') || is_page() ):

                    wp_link_pages(array(
                        'before' => '<div class="page-links">' . esc_html__('Pages:', 'cobber'),
                        'after' => '</div>',
                    ));

                endif; ?>

            </div>

            <?php
            if (is_singular() && 'post' === get_post_type()) { ?>

                <div class="entry-footer">

                    <div class="entry-meta">
                        <?php cobber_post_like_dislike(); ?>
                    </div>

                    <div class="entry-meta">
                        <?php cobber_entry_footer($cats = false, $tags = true, $edits = true); ?>
                    </div>

                </div>

            <?php } ?>

        </div>

    </div>
    
</article>